//cd "SET DIRECTORY TO FOLDER WHERE DATASET IS STORED. FOLDER SHOULD HAVE A SUBFOLDER NAMED: tables"
cd "C:\Users\David\Dropbox\LAPOPStudy\replication_archive"
use "full_data.dta", clear

cd "tables"
*** SUMMARY STATS
outsum colorr dem_sat pol_trust ext_eff ed wealth  female age age2 eth_* yr2012 yr2014 yr2016 [aw=full_wt] using "Table_A1_sumstats", replace bracket
forvalues c=1/18{ 
local label : variable label ctry_`c'
outsum colorr dem_sat pol_trust ext_eff ed wealth  female age age2 eth_* yr2012 yr2014 yr2016 if country==`c' [aw=wt] using "Table_A1_sumstats", append bracket ctitle("`label'")
}
***EDUCATION/WEALTH MODELS (APPENDIX ONLY)
foreach i in ed wealth {
mixed `i' colorr female age age2 yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_pooled, title("Pooled (Multi-level; Country REs)")
lincomest colorr
est store `i'_est
reg `i' colorr female age age2 yr2012 yr2014 yr2016 i.country [aw=full_wt], cluster(country)
eststo `i'_pooled_ols, title("Pooled (OLS; Country FEs)")

forvalues c=1/18{ 
local label : variable label ctry_`c'
reg `i' colorr female age age2 yr2012 yr2014 yr2016 if country==`c' [aw=wt], r
eststo `i'_`c', title("`label'")
lincomest colorr
est store `i'_est_`c'
}
//CONTROL FOR ETHNICITY
mixed `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_pooled_eth, title("Pooled (Multi-level; Country REs)")
lincomest colorr
est store `i'_est_eth
reg `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 i.country [aw=full_wt], cluster(country)
eststo `i'_pooled_ols_eth, title("Pooled (OLS; Country FEs)")

forvalues c=1/18{ 
local label : variable label ctry_`c'
reg `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 if country==`c' [aw=wt], r
eststo `i'_`c'_eth, title("`label'")
lincomest colorr
est store `i'_est_`c'_eth
}
esttab `i'_pooled `i'_pooled_ols `i'_1 `i'_2 `i'_3 `i'_4 `i'_5 `i'_6 `i'_7 `i'_8 `i'_9 `i'_10 `i'_11 `i'_12 `i'_13 `i'_14 `i'_15 `i'_16 `i'_17 `i'_18 using `i'.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) keep(colorr female age age2 yr2012 yr2014 yr2016 ) order(colorr female age age2 yr2012 yr2014 yr2016 ) longtable nonotes addnotes("Cell entries are OLS coefficients; standard errors in parentheses. All models use weights as described in the text. Pooled OLS models cluster standard errors by country. * p<0.05; ** p<.01.")  label nodepvars noomitted  
esttab `i'_pooled_eth `i'_pooled_ols_eth `i'_1_eth `i'_2_eth `i'_3_eth `i'_4_eth `i'_5_eth `i'_6_eth `i'_7_eth `i'_8_eth `i'_9_eth `i'_10_eth `i'_11_eth `i'_12_eth `i'_13_eth `i'_14_eth `i'_15_eth `i'_16_eth `i'_17_eth `i'_18_eth using `i'_eth.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) keep(colorr female age age2 eth_* yr2012 yr2014 yr2016 ) order(colorr female age age2 eth_* yr2012 yr2014 yr2016 ) longtable nonotes addnotes("Cell entries are OLS coefficients; standard errors in parentheses. All models use weights as described in the text. Pooled OLS models cluster standard errors by country. * p<0.05; ** p<.01.")  label nodepvars noomitted  

if "`i'"=="ed"{
local label="Panel A: Educational Attainment"
}
if "`i'"=="wealth"{
local label="Panel B: Wealth"
}

coefplot (`i'_est, rename((1) ="Pooled") \ `i'_est_16, rename((1) ="Argentina")\ `i'_est_10, rename((1) ="Bolivia")\ `i'_est_14, rename((1) ="Brazil")\ `i'_est_8, rename((1) ="Colombia")\ `i'_est_6, rename((1) ="Costa Rica")\ `i'_est_17, rename((1) ="Dominican Republic")\ `i'_est_9, rename((1) ="Ecuador")\ `i'_est_3, rename((1) ="El Salvador")\ `i'_est_2, rename((1) ="Guatemala")\ `i'_est_18, rename((1) ="Haiti")\ `i'_est_4, rename((1) ="Honduras")\ `i'_est_1, rename((1) ="Mexico")\ `i'_est_5, rename((1) ="Nicaragua")\ `i'_est_7, rename((1) ="Panama")\ `i'_est_12, rename((1) ="Paraguay")\ `i'_est_11, rename((1) ="Peru")\ `i'_est_13, rename((1) ="Uruguay")\ `i'_est_15, rename((1) ="Venezuela")   msymbol(O) connect(none) msize(medium) mcolor(black) ciopts(lcolor(black) lwidth(thin))) (`i'_est_eth, rename((1) ="Pooled") \ `i'_est_16_eth, rename((1) ="Argentina")\ `i'_est_10_eth, rename((1) ="Bolivia")\ `i'_est_14_eth, rename((1) ="Brazil")\ `i'_est_8_eth, rename((1) ="Colombia")\ `i'_est_6_eth, rename((1) ="Costa Rica")\ `i'_est_17_eth, rename((1) ="Dominican Republic")\ `i'_est_9_eth, rename((1) ="Ecuador")\ `i'_est_3_eth, rename((1) ="El Salvador")\ `i'_est_2_eth, rename((1) ="Guatemala")\ `i'_est_18_eth, rename((1) ="Haiti")\ `i'_est_4_eth, rename((1) ="Honduras")\ `i'_est_1_eth, rename((1) ="Mexico")\ `i'_est_5_eth, rename((1) ="Nicaragua")\ `i'_est_7_eth, rename((1) ="Panama")\ `i'_est_12_eth, rename((1) ="Paraguay")\ `i'_est_11_eth, rename((1) ="Peru")\ `i'_est_13_eth, rename((1) ="Uruguay")\ `i'_est_15_eth, rename((1) ="Venezuela")   msymbol(Oh) connect(none) msize(medium) mcolor(black) ciopts(lcolor(black) lwidth(thin))) , level(95) coeflabels(,wrap(20)) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large)) xline(0, lc(black) lw(thin) ) xscale(lw(none)) legend(off)  title("`label'", size(medium)) xline(0, lcolor(black))
graph save "fig_`i'", replace
}
graph combine  fig_ed.gph fig_wealth.gph, ycommon cols(2) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large))  altshrink xsize(8)
graph export "figure_A2.tif", as(tif) width(4000) replace

qui eststo drop ed* wealth*
qui est drop ed* wealth*

***POLITICAL OUTCOME MODELS 
foreach i in dem_sat pol_trust ext_eff{
mixed `i' colorr female age age2 yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_pooled, title("Pooled (Multi-level; Country REs)")
lincomest colorr
est store `i'_est
reg `i' colorr female age age2 yr2012 yr2014 yr2016 i.country [aw=full_wt], cluster(country)
eststo `i'_pooled_ols, title("Pooled (OLS; Country FEs)")

//By Country
forvalues c=1/18{ 
local label : variable label ctry_`c'
reg `i' colorr female age age2 yr2012 yr2014 yr2016 if country==`c' [aw=wt], r
eststo `i'_`c', title("`label'")
lincomest colorr
est store `i'_est_`c'
}
//CONTROL FOR ETHNICITY
mixed `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_pooled_eth, title("Pooled (Multi-level; Country REs)")
lincomest colorr
est store `i'_est_eth
reg `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 i.country [aw=full_wt], cluster(country)
eststo `i'_pooled_ols_eth, title("Pooled (OLS; Country FEs)")
//By Country
forvalues c=1/18{ 
local label : variable label ctry_`c'
reg `i' colorr female age age2 eth_* yr2012 yr2014 yr2016 if country==`c' [aw=wt], r
eststo `i'_`c'_eth, title("`label'")
lincomest colorr
est store `i'_est_`c'_eth
}
esttab `i'_pooled `i'_pooled_ols `i'_1 `i'_2 `i'_3 `i'_4 `i'_5 `i'_6 `i'_7 `i'_8 `i'_9 `i'_10 `i'_11 `i'_12 `i'_13 `i'_14 `i'_15 `i'_16 `i'_17 `i'_18 using `i'.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) keep(colorr female age age2 yr2012 yr2014 yr2016 ) order(colorr female age age2 yr2012 yr2014 yr2016) longtable nonotes addnotes("Cell entries are OLS coefficients; standard errors in parentheses. All models use weights as described in the text. Pooled OLS models cluster standard errors by country. * p<0.05; ** p<.01.")  label nodepvars noomitted  
esttab `i'_pooled_eth `i'_pooled_ols_eth `i'_1_eth `i'_2_eth `i'_3_eth `i'_4_eth `i'_5_eth `i'_6_eth `i'_7_eth `i'_8_eth `i'_9_eth `i'_10_eth `i'_11_eth `i'_12_eth `i'_13_eth `i'_14_eth `i'_15_eth `i'_16_eth `i'_17_eth `i'_18_eth using `i'_eth.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) keep(colorr female age age2 eth_* yr2012 yr2014 yr2016 ) order(colorr female age age2 eth_* yr2012 yr2014 yr2016 ) longtable nonotes addnotes("Cell entries are OLS coefficients; standard errors in parentheses. All models use weights as described in the text. Pooled OLS models cluster standard errors by country. * p<0.05; ** p<.01.")  label nodepvars noomitted  
}

foreach i in  dem_sat pol_trust ext_eff{
local label=""

if "`i'"=="dem_sat"{
local label="Panel A: Satisfaction with Democracy"
}
if "`i'"=="ext_eff"{
local label="Panel B: External Efficacy"
}
if "`i'"=="pol_trust"{
local label="Panel C: Respect for Political Institutions"
}

coefplot (`i'_est, rename((1) ="Pooled") \ `i'_est_16, rename((1) ="Argentina")\ `i'_est_10, rename((1) ="Bolivia")\ `i'_est_14, rename((1) ="Brazil")\ `i'_est_8, rename((1) ="Colombia")\ `i'_est_6, rename((1) ="Costa Rica")\ `i'_est_17, rename((1) ="Dominican Republic")\ `i'_est_9, rename((1) ="Ecuador")\ `i'_est_3, rename((1) ="El Salvador")\ `i'_est_2, rename((1) ="Guatemala")\ `i'_est_18, rename((1) ="Haiti")\ `i'_est_4, rename((1) ="Honduras")\ `i'_est_1, rename((1) ="Mexico")\ `i'_est_5, rename((1) ="Nicaragua")\ `i'_est_7, rename((1) ="Panama")\ `i'_est_12, rename((1) ="Paraguay")\ `i'_est_11, rename((1) ="Peru")\ `i'_est_13, rename((1) ="Uruguay")\ `i'_est_15, rename((1) ="Venezuela")   msymbol(O) connect(none) msize(medium) mcolor(black) ciopts(lcolor(black) lwidth(thin)) label(No Controls)), level(95) coeflabels(,wrap(20)) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large)) xline(0, lc(black) lw(thin) ) xscale(lw(none)) legend(off)  title("`label'", size(medium)) xline(0, lcolor(black))
graph save "fig_`i'", replace
}

graph combine  fig_dem_sat.gph fig_ext_eff.gph fig_pol_trust.gph, ycommon cols(3) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large))  altshrink xsize(8)
graph export "figure_1.tif", as(tif) width(4000) replace
qui eststo drop dem_sat* ext_eff* pol_trust*
qui est drop dem_sat* ext_eff* pol_trust*

//HISTOGRAM DATA
foreach i in dem_sat pol_trust ext_eff{
gen `i'_est=.
gen `i'_tstat=.
format `i'_tstat `i'_est %5.3f
gen `i'_pval=.
format `i'_pval `i'_est %5.3f
}
gen cty_est=.
gen yr_est_est=.
gen p_ns=0
gen p_pos=0
gen p_neg=0
gen p_ns_eth=0
gen p_pos_eth=0
gen p_neg_eth=0

local overall_counter=0
foreach i in dem_sat pol_trust ext_eff{
local counter=0
forvalues c = 1/18{
forvalues y = 2010(2)2016{
disp "DV = `i'" "Country = `c'" "Year = `y'"
local counter= `counter'+1
local overall_counter= `overall_counter'+1
capture qui reg `i' colorr female age age2 if country==`c' & year==`y' [aw=wt], r
capture qui lincom colorr 
local estimate=r(estimate)
replace `i'_est=`estimate' in `counter'
replace `i'_tstat=`estimate'/r(se) in `counter'
capture qui test colorr 
replace `i'_pval=r(p) in `counter'
replace cty_est=`c' in `counter'
replace yr_est=`y' in `counter'
replace cty_est=`c' in `overall_counter'
replace yr_est=`y' in `overall_counter'
replace p_ns=1 if r(p)>.05 & r(p)!=. in `overall_counter'
replace p_pos=1 if r(p)<.05 & `estimate'>0& r(p)!=. in `overall_counter'
replace p_neg=1 if r(p)<.05 & `estimate'<0& r(p)!=. in `overall_counter'


capture qui reg `i' colorr female age age2 eth_* if country==`c' & year==`y' [aw=wt], r
capture qui lincom colorr 
local estimate=r(estimate)
capture qui test colorr 
replace p_ns_eth=1 if r(p)>.05 & r(p)!=. in `overall_counter'
replace p_pos_eth=1 if r(p)<.05 & `estimate'>0& r(p)!=. in `overall_counter'
replace p_neg_eth=1 if r(p)<.05 & `estimate'<0& r(p)!=. in `overall_counter'
}
}
}
replace p_ns=. if cty_est==. | (cty_est==18 & yr_est==2010)
replace p_neg=. if cty_est==.| (cty_est==18 & yr_est==2010)
replace p_pos=. if cty_est==.| (cty_est==18 & yr_est==2010)
replace p_ns_eth=. if cty_est==. | (cty_est==18 & yr_est==2010)
replace p_neg_eth=. if cty_est==.| (cty_est==18 & yr_est==2010)
replace p_pos_eth=. if cty_est==.| (cty_est==18 & yr_est==2010)
**summary of p-values
table cty_est, c(mean p_ns mean p_pos mean p_neg)
table cty_est, c(mean p_ns_eth mean p_pos_eth mean p_neg_eth)
**means/medians
sum dem_sat_est pol_trust_est ext_eff_est, det
sum dem_sat_tstat pol_trust_tstat ext_eff_tstat, det
//test for normality
swilk dem_sat_est pol_trust_est ext_eff_est

foreach i in dem_sat pol_trust ext_eff{
if "`i'"=="dem_sat"{
local label="Panel A: Satisfaction with Democracy"
}
if "`i'"=="ext_eff"{
local label="Panel B: External Efficacy"
}
if "`i'"=="pol_trust"{
local label="Panel C: Respect for Pol. Institutions"
}
qui sum `i'_tstat, det

local coef_median: di %6.2f r(p50)
local coef_mean: di %6.2f r(mean)
histogram `i'_tstat, start(-7) width(.25) normal normopts(lcolor(black) lpattern(dash) lwidth(medthick)  yaxis(2) yscale(off)) addplot((kdensity `i'_tstat, lcolor(black) lwidth(medthick) yaxis(2) yscale(off))) legend(off) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large)) xtitle("") title("`label'", span) xline(`coef_mean', lcolor(black)) xlabel(-7(1)7)  yscale(off) yscale(off axis(2)) text(.38 -5 "Mean = `coef_mean'" "Median = `coef_median'")
graph save "tstat_histogram_`i'", replace
}
swilk dem_sat_tstat pol_trust_tstat ext_eff_tstat

graph combine tstat_histogram_dem_sat.gph tstat_histogram_ext_eff.gph tstat_histogram_pol_trust.gph , ycommon xcommon cols(3) graphregion(fcolor(white) lcolor(none) ilcolor(none) color(white) lwidth(large)) title("") altshrink xsize(8)
graph export "tstat_histograms_F2.tif", as(tif) width(4000) replace


***ETHNICITY INTERACTIONS
forvalues i=2/6{
gen colorrXeth_`i'=colorr*eth_`i'
}

label var colorrXeth_2 "Pigment x Mestizo"
label var colorrXeth_3 "Pigment x Indigenous"
label var colorrXeth_4 "Pigment x Black"
label var colorrXeth_5 "Pigment x Mullatto"
label var colorrXeth_6 "Pigment x Other Race/Ethnicity"

foreach i in dem_sat pol_trust ext_eff{
forvalues c=1/18{ 
local label : variable label ctry_`c'
reg `i' colorr female age age2 eth_* colorrXeth_2 colorrXeth_3 colorrXeth_4 colorrXeth_5 colorrXeth_6 yr2012 yr2014 yr2016 if country==`c' [aw=wt], r
test colorrXeth_2 colorrXeth_3 colorrXeth_4 colorrXeth_5 colorrXeth_6 
eststo `i'_`c'_eth_interact, title("`label'") addscalars(interactions r(p))
}
esttab `i'_1_eth_interact `i'_2_eth_interact `i'_3_eth_interact `i'_4_eth_interact `i'_5_eth_interact `i'_6_eth_interact `i'_7_eth_interact `i'_8_eth_interact `i'_9_eth_interact `i'_10_eth_interact `i'_11_eth_interact `i'_12_eth_interact `i'_13_eth_interact `i'_14_eth_interact `i'_15_eth_interact `i'_16_eth_interact `i'_17_eth_interact `i'_18_eth_interact using `i'_eth_interact.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) keep(colorr female age age2 eth_* colorrXeth_2 colorrXeth_3 colorrXeth_4 colorrXeth_5 colorrXeth_6 yr2012 yr2014 yr2016 ) order(colorr female age age2 eth_* colorrXeth_2 colorrXeth_3 colorrXeth_4 colorrXeth_5 colorrXeth_6 yr2012 yr2014 yr2016 ) longtable nonotes addnotes("Cell entries are OLS coefficients; standard errors in parentheses. All models use weights as described in the text. * p<0.05; ** p<.01.")  label nodepvars scalars(interactions) noomitted  
}


***SES INTERACTIONS
alpha wealth ed, gen(ses) std
gen colorrXwealth=colorr*wealth
gen colorrXed=colorr*ed
gen colorrXses=colorr*ses
label var colorrXwealth "Pigmentation x Wealth"
label var colorrXed "Pigmentation x Education"
label var colorrXses "Pigmentation x SES"

foreach i in dem_sat pol_trust ext_eff{
if "`i'"=="dem_sat"{
local label="Satisfaction with Democracy"
}
if "`i'"=="ext_eff"{
local label="External Efficacy"
}
if "`i'"=="pol_trust"{
local label="Respect for Political Institutions"
}
mixed `i' colorr female age age2 ed colorrXed yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_ed, title("`label'")
mixed `i' colorr female age age2 wealth colorrXwealth yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_wealth, title("`label'")
mixed `i' colorr female age age2 ed colorrXed wealth colorrXwealth yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_both, title("`label'")
mixed `i' colorr female age age2 ses colorrXses yr2012 yr2014 yr2016 [pweight=wt]|| country: , pweight(cty_wt)  pwscale(size)
eststo `i'_ses, title("`label'")
}
esttab dem_sat_ed dem_sat_wealth dem_sat_both dem_sat_ses ext_eff_ed ext_eff_wealth ext_eff_both ext_eff_ses pol_trust_ed pol_trust_wealth pol_trust_both pol_trust_ses using ses_moderation.csv, replace nogaps csv wrap varwidth(40) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) longtable nonotes addnotes("Cell entries are OLS coefficients from multi-level models with country random effects. Standard errors in parentheses. All models use weights as described in the text.  * p<0.05; ** p<.01.")  label nodepvars noomitted  


***LEADER CHAR INTERACTIONS
egen cty_year=group(country year)
mixed dem_sat c.colorr##c.pres_pigment female age age2 [pweight=wt]|| cty_year: pres_pigment, pweight(cty_wt) 
eststo interaction_dem_sat, title("Satisfaction with Democracy")

reg dem_sat c.colorr##c.pres_pigment female age age2 i.cty_year [aw=full_wt], cluster(country)
eststo interaction_dem_sat_ols, title("Satisfaction with Democracy")

mixed ext_eff c.colorr##c.pres_pigment female age age2 [pweight=wt]|| cty_year: pres_pigment, pweight(cty_wt) 
eststo interaction_ext_eff, title("External Efficacy")

reg ext_eff c.colorr##c.pres_pigment female age age2 i.cty_year [aw=full_wt], cluster(country)
eststo interaction_ext_eff_ols, title("External Efficacy")

mixed pol_trust c.colorr##c.pres_pigment female age age2 [pweight=wt]|| cty_year: pres_pigment, pweight(cty_wt) 
eststo interaction_pol_trust, title("Respect for Political Institutions")

reg pol_trust c.colorr##c.pres_pigment female age age2 i.cty_year [aw=full_wt], cluster(country)
eststo interaction_pol_trust_ols, title("Respect for Political Institutions")

esttab interaction_dem_sat interaction_ext_eff interaction_pol_trust using pigment_interactions.csv, replace nogaps csv wrap varwidth(60) b(%9.3f) se(%9.3f) star(* 0.05 ** .01) longtable nonotes addnotes("Cell entries are OLS coefficients from multi-level models with country random effects. Standard errors in parentheses. All models use weights as described in the text.  * p<0.05; ** p<.01.")  label nodepvars noomitted  

